IDEA Installation Problems

Hello everybody,

I have problems installing IDEA under Linux. Wether I use the provided *.bin version or the *.tar.gz archiv and later unpack the jre and then start IDEA with the startscript, I receive this error message:

+current locale is not supported in X11, locale is set to CX locale modifiers are not supported, using defaultjava.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at com.intellij.ide.plugins.c$0.run(c$0.java:5)
at java.lang.Thread.run(Thread.java:534)
Caused by: java.lang.InternalError: Current locale is not supported
at sun.awt.motif.MWindowPeer.pSetTitle(Native Method)
at sun.awt.motif.MWindowPeer.init(MWindowPeer.java:97)
at sun.awt.motif.MFramePeer.(MFramePeer.java:58) at sun.awt.motif.MToolkit.createFrame(MToolkit.java:209) at java.awt.Frame.addNotify(Frame.java:472) at java.awt.Window.pack(Window.java:436) at com.intellij.ide.n.a.f.b(f.java:31) at com.intellij.ide.n.a.c.a(c.java:16) at com.intellij.ide.n.c.i.a(i.java:6) at com.intellij.ide.n.c.m.a(m.java:2) at com.intellij.ide.n.b.d.a(d.java:7) at com.intellij.ide.n.b.d.a(d.java:1) at com.intellij.ide.n.b.a.a(a.java:54) at com.intellij.idea.Main.a(Main.java:34) at com.intellij.idea.Main.start(Main.java:37) ... 6 more java.lang.reflect.InvocationTargetException at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:324) at com.intellij.ide.plugins.c$0.run(c$0.java:5) at java.lang.Thread.run(Thread.java:534) Caused by: java.lang.InternalError: Current locale is not supported at sun.awt.motif.MWindowPeer.pSetTitle(Native Method) at sun.awt.motif.MWindowPeer.init(MWindowPeer.java:97) at sun.awt.motif.MFramePeer.]]>(MFramePeer.java:58)
at sun.awt.motif.MToolkit.createFrame(MToolkit.java:209)
at java.awt.Frame.addNotify(Frame.java:472)
at java.awt.Window.pack(Window.java:436)
at com.intellij.ide.n.a.f.b(f.java:31)
at com.intellij.ide.n.a.c.a(c.java:16)
at com.intellij.ide.n.c.i.a(i.java:6)
at com.intellij.ide.n.c.m.a(m.java:2)
at com.intellij.ide.n.b.d.a(d.java:7)
at com.intellij.ide.n.b.d.a(d.java:1)
at com.intellij.ide.n.b.a.a(a.java:54)
at com.intellij.idea.Main.a(Main.java:34)
at com.intellij.idea.Main.start(Main.java:37)
... 6 more
ERROR - llij.ide.plugins.PluginManager -
ERROR - llij.ide.plugins.PluginManager - JDK: 1.4.2_03
ERROR - llij.ide.plugins.PluginManager - VM: Java HotSpot(TM) Client VM
ERROR - llij.ide.plugins.PluginManager - Vendor: Sun Microsystems Inc.
ERROR - llij.ide.plugins.PluginManager - OS: Linux
ERROR - llij.ide.plugins.PluginManager - Original exception:
java.lang.InternalError: Current locale is not supported
at sun.awt.motif.MWindowPeer.pSetTitle(Native Method)
at sun.awt.motif.MWindowPeer.init(MWindowPeer.java:97)
at sun.awt.motif.MFramePeer.]]>(MFramePeer.java:58)
at sun.awt.motif.MToolkit.createFrame(MToolkit.java:209)
at java.awt.Frame.addNotify(Frame.java:472)
at java.awt.Window.pack(Window.java:436)
at com.intellij.ide.n.a.f.b(f.java:31)
at com.intellij.ide.n.a.c.a(c.java:16)
at com.intellij.ide.n.c.i.a(i.java:6)
at com.intellij.ide.n.c.m.a(m.java:2)
at com.intellij.ide.n.b.d.a(d.java:7)
at com.intellij.ide.n.b.d.a(d.java:1)
at com.intellij.ide.n.b.a.a(a.java:54)
at com.intellij.idea.Main.a(Main.java:34)
at com.intellij.idea.Main.start(Main.java:37)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at com.intellij.ide.plugins.c$0.run(c$0.java:5)
at java.lang.Thread.run(Thread.java:534)
ERROR - llij.ide.plugins.PluginManager -
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at com.intellij.ide.plugins.c$0.run(c$0.java:5)
at java.lang.Thread.run(Thread.java:534)
Caused by: java.lang.InternalError: Current locale is not supported
at sun.awt.motif.MWindowPeer.pSetTitle(Native Method)
at sun.awt.motif.MWindowPeer.init(MWindowPeer.java:97)
at sun.awt.motif.MFramePeer.(MFramePeer.java:58) at sun.awt.motif.MToolkit.createFrame(MToolkit.java:209) at java.awt.Frame.addNotify(Frame.java:472) at java.awt.Window.pack(Window.java:436) at com.intellij.ide.n.a.f.b(f.java:31) at com.intellij.ide.n.a.c.a(c.java:16) at com.intellij.ide.n.c.i.a(i.java:6) at com.intellij.ide.n.c.m.a(m.java:2) at com.intellij.ide.n.b.d.a(d.java:7) at com.intellij.ide.n.b.d.a(d.java:1) at com.intellij.ide.n.b.a.a(a.java:54) at com.intellij.idea.Main.a(Main.java:34) at com.intellij.idea.Main.start(Main.java:37) ... 6 more java.lang.reflect.InvocationTargetException at java.awt.EventQueue.invokeAndWait(EventQueue.java:834) at javax.swing.SwingUtilities.invokeAndWait(SwingUtilities.java:1225) at com.intellij.diagnostic.DialogAppender.a(DialogAppender.java:23) at com.intellij.diagnostic.DialogAppender.access$000(DialogAppender.java:6) at com.intellij.diagnostic.DialogAppender$0.run(DialogAppender$0.java) at java.lang.Thread.run(Thread.java:534) Caused by: java.lang.NullPointerException at com.intellij.diagnostic.b.b(b.java:43) at com.intellij.diagnostic.f.]]>(f.java:130)
at com.intellij.diagnostic.DialogAppender$3.run(DialogAppender$3.java:1)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:171)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:454)
at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:201)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:151)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:145)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:137)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:100)+

-



I have tried to use other java runtimes (ibm, blackdown,..) but the error messages was still the same.

My system: AMD Opteron 2.0GHz, 2 Gig Ram, Gentoo Linux for AMD64

regards, Volkher

1 comment

Hi,

I also had the same problem when I switched from JDK 1.5 to 1.4.

You can avoid the problem by configuring your "idea.sh" as follows.

1. If you have set the environment variable JAVA_HOME to JDK 1.5, do not export JAVA_HOME (comment that line)

2. Instead export IDEA_JDK which is pointed a JDK1.5 version.

for eg:

#export JAVA_HOME
export IDEA_JDK=/opt/java/jdk1.5.0_06
export IDEA_HOME

0

Please sign in to leave a comment.